Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggableAppSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.pluggable.PluggableAppSoapStub

All Implemented Interfaces:
  `IPluggableAppSoap`

public class PluggableAppSoapStub extends ClientSoapStub implements IPluggableAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggableAppSoapStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PluggableComponentSoapDO`
  `createIntegratedApplication(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle)`
  Creates a Integrated Application
  `PluggableComponent2SoapDO`
  `createIntegratedApplication2(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType)`
  Creates a Integrated Application
  `PluggableComponent2SoapDO`
  `createIntegratedApplication3(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileKey, String iconFileName, String iconMimeType, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType)`
  Creates a Integrated Application Note that the icon file has to be uploaded seperately
  `PluggableComponent3SoapDO`
  `createIntegratedApplication4(String sessionId, PluggableComponent3SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Creates a Integrated Application Note that the icon file has to be uploaded seperately
  `PluggableComponent4SoapDO`
  `createIntegratedApplication5(String sessionId, PluggableComponent4SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Creates a Integrated Application Note that the icon file has to be uploaded seperately
  `PluggableComponent5SoapDO`
  `createIntegratedApplication6(String sessionId, PluggableComponent5SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Creates a Integrated Application Note that the icon file has to be uploaded seperately
  `PluggableComponentSoapDO`
  `createIntegratedApplicationFromXMLFiles(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Creates/Imports an integrated application from xml files.
  `PluggableComponent2SoapDO`
  `createIntegratedApplicationFromXMLFiles2(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Create/import an integrated application from XML files.
  `PluggableComponent2SoapDO`
  `createIntegratedApplicationFromXMLFiles3(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Create/import an integrated application from XML files.
  `PluggableComponent3SoapDO`
  `createIntegratedApplicationFromXMLFiles4(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Create/import an integrated application from XML files.
  `PluggableComponent4SoapDO`
  `createIntegratedApplicationFromXMLFiles5(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Create/import an integrated application from XML files.
  `PluggableComponent5SoapDO`
  `createIntegratedApplicationFromXMLFiles6(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Create/import an integrated application from XML files.
  `void`
  `deleteIntegratedApplication(String sessionId, String plugName)`
  Delete an integrated application at the site level
  `void`
  `editIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO)`
  Edits the Integrated Application for the giving PluggableComponentSoapDO
  `void`
  `editIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO)`
  Edit the integrated application properties.
  `void`
  `editIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO)`
  Edit the integrated application properties.
  `void`
  `editIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO)`
  Edit the integrated application properties.
  `void`
  `editIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO)`
  Edit the integrated application properties.
  `void`
  `editIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Edit integrated application from xml files.
  `SoapNamedValues`
  `editProjectConfigurationParameters(String sessionId, String projectId, PluggableComponentParameterSoapDO[] paramDO)`
  Edits project specific configuration parameters of a pluggable application.
  `SoapNamedValues`
  `editProjectConfigurationParameters2(String sessionId, String integratedAppId, String projectId, PluggableComponentParameterSoapDO[] paramDO)`
  Edit the project specific configuration parameters of an integrated application.
  `SoapNamedValues`
  `enablePluggableComponent(String sessionId, String projectID, String pluggableId, PluggableComponentParameterSoapDO[] params, String prefix)`
  Adds a pluggable application to a project
  `String`
  `getBaseUrlByLinkId(String sessionId, String linkId)`
  Get the project integrated application's base URL.
  `String`
  `getBaseUrlByName(String sessionId, String iaName)`
  Gets integrated application base url for the given IA Name
  `PluggableComponentSoapDO`
  `getIntegratedApplicationByName(String sessionId, String plugName)`
  Returns the PluggableComponentSoapDO object for the given Integrated Application Name
  `PluggableComponent2SoapDO`
  `getIntegratedApplicationByName2(String sessionId, String integratedAppName)`
  Get the integrated application for a given name.
  `PluggableComponent3SoapDO`
  `getIntegratedApplicationByName3(String sessionId, String integratedAppName)`
  Get the integrated application for a given name.
  `PluggableComponent4SoapDO`
  `getIntegratedApplicationByName4(String sessionId, String integratedAppName)`
  Get the integrated application for a given name.
  `PluggableComponent5SoapDO`
  `getIntegratedApplicationByName5(String sessionId, String integratedAppName)`
  Get the integrated application for a given name.
  `String[]`
  `getIntegratedAppPrefixes(String sessionId)`
  Gets the list of Integrated App Prefixes.
  `String`
  `getLinkPlugId(String sessionId, String projectPath, String baseUrl)`
  Gets the link id for the specified project and base URL.
  `String`
  `getLinkPlugIdByPlugId(String sessionId, String projectId, String pluggableId)`
  Get the integrated application id for the specified project and base URL.
  `String`
  `getPlugIdByBaseUrl(String sessionId, String baseUrl)`
  Gets integrated application id for the given base URL
  `PluggableComponentParameterSoapDO[]`
  `getProjectConfigParameterData(String sessionId, String linkId)`
  Gets project specific configuration parameters for a pluggable application.
  `String`
  `getProjectPathByIntegratedAppId(String sessionId, String linkId)`
  Get the project path for the given integrated application id.
  `String`
  `getProjectPrefix(String sessionId, String linkId)`
  Get the project prefix for an integrated application.
  `PluggableComponentSoapList`
  `listPluggableComponents(String sessionId)`
  Gets the list of integrated applications in the site.
  `PluggableComponent2SoapList`
  `listPluggableComponents2(String sessionId)`
  Gets the list of integrated applications in the site.
  `PluggableComponent2SoapList`
  `listPluggableComponentsByCategory(String sessionId, String category)`
  Gets the list of integrated applications in the site based on the category.
  `LinkPluggableComponentSoapList`
  `listPluggableComponentsForProject(String sessionId, String projectId)`
  Lists Pluggable Components.
  `void`
  `removeProjectIntegratedApplication(String sessionId, String linkId)`
  Removes integrated application from a project.
  `void`
  `setIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType)`
  Sets new icon for specified integrated application
  `void`
  `setPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value)`
  Creates / Updates the Pluggable App Message resource
  `void`
  `updateRecentAccess(String userId, String objectId)`
  Updates the recent access entries for the user.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggableAppSoapStub

    public PluggableAppSoapStub(String soapServerUrl)

- ## Method Details

  - ### listPluggableComponents

    public PluggableComponentSoapList listPluggableComponents(String sessionId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets the list of integrated applications in the site.
    Specified by:
      `listPluggableComponents` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
    Returns:
      list of integrated applications in the site.
    Throws:
      `RemoteException`

  - ### listPluggableComponents2

    public PluggableComponent2SoapList listPluggableComponents2(String sessionId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets the list of integrated applications in the site.
    Specified by:
      `listPluggableComponents2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
    Returns:
      list of integrated applications in the site.
    Throws:
      `RemoteException`

  - ### listPluggableComponentsByCategory

    public PluggableComponent2SoapList listPluggableComponentsByCategory(String sessionId, String category) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets the list of integrated applications in the site based on the category.
    Specified by:
      `listPluggableComponentsByCategory` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `category` - category of the integrated application.
    Returns:
      list of integrated applications in the site.
    Throws:
      `RemoteException`

  - ### enablePluggableComponent

    public SoapNamedValues enablePluggableComponent(String sessionId, String projectID, String pluggableId, PluggableComponentParameterSoapDO[] params, String prefix) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Adds a pluggable application to a project
    Specified by:
      `enablePluggableComponent` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectID` - Project ID project to which the pluggable app should be added.
      `pluggableId` - pluggable application that should be added to a project
      `params` - Param Array of PluggableComponentParameter Values
      `prefix` - the pluggablecomponent prefix
    Returns:
      name/value pair of validation errors if any
    Throws:
      `RemoteException`

  - ### getProjectConfigParameterData

    public PluggableComponentParameterSoapDO[] getProjectConfigParameterData(String sessionId, String linkId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets project specific configuration parameters for a pluggable application.
    Specified by:
      `getProjectConfigParameterData` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - the link id between a pluggable application and a project
    Returns:
      array of project specific configuration parameters
    Throws:
      `RemoteException`

  - ### editProjectConfigurationParameters

    public SoapNamedValues editProjectConfigurationParameters(String sessionId, String projectId, PluggableComponentParameterSoapDO[] paramDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edits project specific configuration parameters of a pluggable application.
    Specified by:
      `editProjectConfigurationParameters` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectId` - project in which the pluggable application resides.
      `paramDO` - project specific configuration parameters for a pluggable application
    Returns:
      name/value pair of validation errors if any, where name is the parameter name and value is the error string.
    Throws:
      `RemoteException`

  - ### editProjectConfigurationParameters2

    public SoapNamedValues editProjectConfigurationParameters2(String sessionId, String integratedAppId, String projectId, PluggableComponentParameterSoapDO[] paramDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edit the project specific configuration parameters of an integrated application.
    Specified by:
      `editProjectConfigurationParameters2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - Soap session ID
      `integratedAppId` - integrated application ID
      `projectId` - project in which the integrated application resides
      `paramDO` - project specific configuration parameters of an integrated application
    Returns:
      name/value pair of validation errors if any, where name is the parameter name and value is the error string.
    Throws:
      `RemoteException`

  - ### deleteIntegratedApplication

    public void deleteIntegratedApplication(String sessionId, String plugName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Delete an integrated application at the site level
    Specified by:
      `deleteIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
    Throws:
      `RemoteException`

  - ### removeProjectIntegratedApplication

    public void removeProjectIntegratedApplication(String sessionId, String linkId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Removes integrated application from a project.
    Specified by:
      `removeProjectIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - project pluggable application id
    Throws:
      `RemoteException`

  - ### listPluggableComponentsForProject

    public LinkPluggableComponentSoapList listPluggableComponentsForProject(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Lists Pluggable Components. Gives the list of pluggable components available for a project
    Specified by:
      `listPluggableComponentsForProject` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectId` - Project ID.
    Returns:
      pcList PluggableComponentList.
    Throws:
      `RemoteException`

  - ### getLinkPlugId

    public String getLinkPlugId(String sessionId, String projectPath, String baseUrl) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets the link id for the specified project and base URL.
    Specified by:
      `getLinkPlugId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectPath` - the project path
      `baseUrl` - integrated application base URL
    Returns:
      integrated application id for the specified project and base URL
    Throws:
      `RemoteException`

  - ### getProjectPathByIntegratedAppId

    public String getProjectPathByIntegratedAppId(String sessionId, String linkId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the project path for the given integrated application id.
    Specified by:
      `getProjectPathByIntegratedAppId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - linkId id of integrated application id/prpl id
    Returns:
      project path for the given integrated application.
    Throws:
      `RemoteException`

  - ### getBaseUrlByLinkId

    public String getBaseUrlByLinkId(String sessionId, String linkId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the project integrated application's base URL.
    Specified by:
      `getBaseUrlByLinkId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - project integrated application id.
    Returns:
      the project integrated application's base URL
    Throws:
      `RemoteException`

  - ### getPlugIdByBaseUrl

    public String getPlugIdByBaseUrl(String sessionId, String baseUrl) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets integrated application id for the given base URL
    Specified by:
      `getPlugIdByBaseUrl` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `baseUrl` - integrated application base URL
    Returns:
      integrated application id
    Throws:
      `RemoteException`

  - ### getBaseUrlByName

    public String getBaseUrlByName(String sessionId, String iaName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets integrated application base url for the given IA Name
    Specified by:
      `getBaseUrlByName` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `iaName` - integrated application name
    Returns:
      baseUrl
    Throws:
      `RemoteException`

  - ### createIntegratedApplication

    public PluggableComponentSoapDO createIntegratedApplication(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates a Integrated Application
    Specified by:
      `createIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
      `description` - the integratedApp description
      `baseUrl` - the app's baseUrl
      `goUrl` - the goUrl
      `prefix` - the app's prefix
      `isScmRequired` - the isScmRequired
      `requireProjPrefix` - the project prefix
      `iconFileId` - the iconfileId
      `endPoint` - the endPoint
      `paramDO` - the PluggableComponentParameterSoapDO
      `adminUrl` - url for integrated app. site administration. the PluggableComponentParameterSoapDO
      `permSoapDO` - the PluggablePermissionSoapDO
      `pceInputType` - pceInputType of integrated app
      `pceResultFormat` - pceResultFormat of integrated app
      `pceDescription` - pceDescription of integrated app
      `pceTitle` - pceTitle of integrated app
    Returns:
      a `PluggableComponentSoapDO` of the created application
    Throws:
      `RemoteException`

  - ### createIntegratedApplication2

    public PluggableComponent2SoapDO createIntegratedApplication2(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates a Integrated Application
    Specified by:
      `createIntegratedApplication2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
      `description` - the integratedApp description
      `baseUrl` - the app's baseUrl
      `goUrl` - the goUrl
      `prefix` - the app's prefix
      `isScmRequired` - the isScmRequired
      `requireProjPrefix` - the project prefix
      `iconFileId` - the iconfileId
      `endPoint` - the endPoint
      `paramDO` - the PluggableComponentParameterSoapDO
      `adminUrl` - url for integrated app. site administration.
      `permSoapDO` - the PluggablePermissionSoapDO
      `pceInputType` - pceInputType of integrated app
      `pceResultFormat` - pceResultFormat of integrated app
      `pceDescription` - pceDescription of integrated app
      `pceTitle` - pceTitle of integrated app
      `idPattern` - Regular expression for the object id which used for creating association links.
      `serviceType` - The service type REST / SOAP
    Returns:
      a `PluggableComponent2SoapDO` of the created application
    Throws:
      `RemoteException`

  - ### createIntegratedApplication3

    public PluggableComponent2SoapDO createIntegratedApplication3(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileKey, String iconFileName, String iconMimeType, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates a Integrated Application Note that the icon file has to be uploaded seperately
    Specified by:
      `createIntegratedApplication3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
      `description` - the integratedApp description
      `baseUrl` - the app's baseUrl
      `goUrl` - the goUrl
      `prefix` - the app's prefix
      `isScmRequired` - the isScmRequired
      `requireProjPrefix` - the project prefix
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
      `endPoint` - the endPoint
      `paramDO` - the PluggableComponentParameterSoapDO
      `adminUrl` - url for integrated app. site administration.
      `permSoapDO` - the PluggablePermissionSoapDO
      `pceInputType` - pceInputType of integrated app
      `pceResultFormat` - pceResultFormat of integrated app
      `pceDescription` - pceDescription of integrated app
      `pceTitle` - pceTitle of integrated app
      `idPattern` - Regular expression for the object id which used for creating association links.
      `serviceType` - The service type REST / SOAP
    Returns:
      a `PluggableComponent2SoapDO` of the created application
    Throws:
      `RemoteException`

  - ### createIntegratedApplication4

    public PluggableComponent3SoapDO createIntegratedApplication4(String sessionId, PluggableComponent3SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates a Integrated Application Note that the icon file has to be uploaded seperately
    Specified by:
      `createIntegratedApplication4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `soapDO` - a `PluggableComponent3SoapDO` with integrated application properties
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent3SoapDO` of the created application
    Throws:
      `RemoteException`

  - ### createIntegratedApplication5

    public PluggableComponent4SoapDO createIntegratedApplication5(String sessionId, PluggableComponent4SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates a Integrated Application Note that the icon file has to be uploaded seperately
    Specified by:
      `createIntegratedApplication5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `soapDO` - a `PluggableComponent4SoapDO` with integrated application properties
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent4SoapDO` of the created application
    Throws:
      `RemoteException`

  - ### createIntegratedApplication6

    public PluggableComponent5SoapDO createIntegratedApplication6(String sessionId, PluggableComponent5SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates a Integrated Application Note that the icon file has to be uploaded seperately
    Specified by:
      `createIntegratedApplication6` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `soapDO` - a `PluggableComponent5SoapDO` with integrated application properties
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent5SoapDO` of the created application
    Throws:
      `RemoteException`

  - ### createIntegratedApplicationFromXMLFiles

    public PluggableComponentSoapDO createIntegratedApplicationFromXMLFiles(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates/Imports an integrated application from xml files.
    Specified by:
      `createIntegratedApplicationFromXMLFiles` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - user session id
      `depXmlByteArray` - integrated app deployment xml byte array
      `appXmlByteArray` - integrated app application xml byte array
      `iconFileId` - icon file id, should be a StoredFileKey id
    Returns:
      PluggableComponentSoapDO with the details of the integrated application that was created.
    Throws:
      `RemoteException`

  - ### createIntegratedApplicationFromXMLFiles2

    public PluggableComponent2SoapDO createIntegratedApplicationFromXMLFiles2(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Create/import an integrated application from XML files.
    Specified by:
      `createIntegratedApplicationFromXMLFiles2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileId` - icon file id, should be a StoredFileKey id
    Returns:
      a `PluggableComponent2SoapDO` for the integrated application that was just created.
    Throws:
      `RemoteException`

  - ### createIntegratedApplicationFromXMLFiles3

    public PluggableComponent2SoapDO createIntegratedApplicationFromXMLFiles3(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Create/import an integrated application from XML files.
    Specified by:
      `createIntegratedApplicationFromXMLFiles3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent2SoapDO` for the integrated application that was just created.
    Throws:
      `RemoteException`

  - ### createIntegratedApplicationFromXMLFiles4

    public PluggableComponent3SoapDO createIntegratedApplicationFromXMLFiles4(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Create/import an integrated application from XML files.
    Specified by:
      `createIntegratedApplicationFromXMLFiles4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent3SoapDO` for the integrated application that was just created.
    Throws:
      `RemoteException`

  - ### createIntegratedApplicationFromXMLFiles5

    public PluggableComponent4SoapDO createIntegratedApplicationFromXMLFiles5(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Create/import an integrated application from XML files.
    Specified by:
      `createIntegratedApplicationFromXMLFiles5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent4SoapDO` for the integrated application that was just created.
    Throws:
      `RemoteException`

  - ### createIntegratedApplicationFromXMLFiles6

    public PluggableComponent5SoapDO createIntegratedApplicationFromXMLFiles6(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Create/import an integrated application from XML files.
    Specified by:
      `createIntegratedApplicationFromXMLFiles6` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent5SoapDO` for the integrated application that was just created.
    Throws:
      `RemoteException`

  - ### getIntegratedApplicationByName

    public PluggableComponentSoapDO getIntegratedApplicationByName(String sessionId, String plugName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Returns the PluggableComponentSoapDO object for the given Integrated Application Name
    Specified by:
      `getIntegratedApplicationByName` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap sessionid
      `plugName` - the Integrated App Name
    Returns:
      PluggableComponentSoapDO object
    Throws:
      `RemoteException`

  - ### getIntegratedApplicationByName2

    public PluggableComponent2SoapDO getIntegratedApplicationByName2(String sessionId, String integratedAppName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the integrated application for a given name.
    Specified by:
      `getIntegratedApplicationByName2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent2SoapDO` for a given integrated application name
    Throws:
      `RemoteException`

  - ### getIntegratedApplicationByName3

    public PluggableComponent3SoapDO getIntegratedApplicationByName3(String sessionId, String integratedAppName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the integrated application for a given name.
    Specified by:
      `getIntegratedApplicationByName3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent3SoapDO` for a given integrated application name
    Throws:
      `RemoteException`

  - ### getIntegratedApplicationByName4

    public PluggableComponent4SoapDO getIntegratedApplicationByName4(String sessionId, String integratedAppName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the integrated application for a given name.
    Specified by:
      `getIntegratedApplicationByName4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent4SoapDO` for a given integrated application name
    Throws:
      `RemoteException`

  - ### getIntegratedApplicationByName5

    public PluggableComponent5SoapDO getIntegratedApplicationByName5(String sessionId, String integratedAppName) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the integrated application for a given name.
    Specified by:
      `getIntegratedApplicationByName5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent5SoapDO` for a given integrated application name
    Throws:
      `RemoteException`

  - ### editIntegratedApplication

    public void editIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edits the Integrated Application for the giving PluggableComponentSoapDO
    Specified by:
      `editIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap sessionId
      `soapDO` - the PluggableComponentSoapDO
    Throws:
      `RemoteException`

  - ### editIntegratedApplication2

    public void editIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edit the integrated application properties.
    Specified by:
      `editIntegratedApplication2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent2SoapDO` with the properties to be edited.
    Throws:
      `RemoteException`

  - ### editIntegratedApplication3

    public void editIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edit the integrated application properties.
    Specified by:
      `editIntegratedApplication3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent3SoapDO` with the properties to be edited.
    Throws:
      `RemoteException`

  - ### editIntegratedApplication4

    public void editIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edit the integrated application properties.
    Specified by:
      `editIntegratedApplication4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent4SoapDO` with the properties to be edited.
    Throws:
      `RemoteException`

  - ### editIntegratedApplication5

    public void editIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edit the integrated application properties.
    Specified by:
      `editIntegratedApplication5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent5SoapDO` with the properties to be edited.
    Throws:
      `RemoteException`

  - ### editIntegratedApplicationFromXMLFiles

    public void editIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Edit integrated application from xml files. Note that input xml files have to be uploaded as byte arrays
    Specified by:
      `editIntegratedApplicationFromXMLFiles` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - user session id
      `depXmlByteArray` - integrated app deployment xml byte array
      `appXmlByteArray` - integrated app application xml byte array
      `iconFileId` - icon file id, should be a StoredFileKey id
    Throws:
      `RemoteException`

  - ### setIntegratedApplicationIcon

    public void setIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Sets new icon for specified integrated application
    Specified by:
      `setIntegratedApplicationIcon` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppId` - integrated application for which the icon to be set
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service).
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon
    Throws:
      `RemoteException`

  - ### getLinkPlugIdByPlugId

    public String getLinkPlugIdByPlugId(String sessionId, String projectId, String pluggableId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the integrated application id for the specified project and base URL.
    Specified by:
      `getLinkPlugIdByPlugId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectId` - the project ID
      `pluggableId` - integrated application ID.
    Returns:
      integrated application link id for the specified project and pluggableId
    Throws:
      `RemoteException`

  - ### getProjectPrefix

    public String getProjectPrefix(String sessionId, String linkId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Get the project prefix for an integrated application.
    Specified by:
      `getProjectPrefix` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession Id.
      `linkId` - , integrated application link id
    Returns:
      project prefix for an integrated application.
    Throws:
      `RemoteException`

  - ### updateRecentAccess

    public void updateRecentAccess(String userId, String objectId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Updates the recent access entries for the user.
    Specified by:
      `updateRecentAccess` in interface `IPluggableAppSoap`
    Parameters:
      `userId` - user who recently accessed this object
      `objectId` - recently accessed object id of the form glpl_prplXXXX_prefix_objectId_objectTitle
    Throws:
      `RemoteException`

  - ### getIntegratedAppPrefixes

    public String[] getIntegratedAppPrefixes(String sessionId) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Gets the list of Integrated App Prefixes.
    Specified by:
      `getIntegratedAppPrefixes` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the Session id of the user
    Returns:
      Array List of Integrated App Prefixes.
    Throws:
      `RemoteException`

  - ### setPluggableAppMessageResource

    public void setPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value) throws RemoteException
    Description copied from interface: `IPluggableAppSoap`
    Creates / Updates the Pluggable App Message resource
    Specified by:
      `setPluggableAppMessageResource` in interface `IPluggableAppSoap`
    Parameters:
      `pluggableId` - The Pluggable Id for which this message resource to be created
      `locale` - The Locale
      `key` - The Resource Key
      `value` - The Resource Value
    Throws:
      `RemoteException`